aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/testenv.sh
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2020-03-10 20:34:17 +0100
committerTristan Gingold <tgingold@free.fr>2020-03-10 20:34:17 +0100
commit556bd7c420a231b02b7159217aec9ae5bbe34e8d (patch)
tree0f434f2bfa2a777f81ffb90e5da896de8bb179e0 /testsuite/testenv.sh
parent2e50c44a48b74ecb7f5a14e4c4d0181cfa2d7402 (diff)
downloadghdl-556bd7c420a231b02b7159217aec9ae5bbe34e8d.tar.gz
ghdl-556bd7c420a231b02b7159217aec9ae5bbe34e8d.tar.bz2
ghdl-556bd7c420a231b02b7159217aec9ae5bbe34e8d.zip
testsuite/synth: add a test for previous commit.
Diffstat (limited to 'testsuite/testenv.sh')
-rw-r--r--testsuite/testenv.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/testsuite/testenv.sh b/testsuite/testenv.sh
index d95644dc3..c3b6f6556 100644
--- a/testsuite/testenv.sh
+++ b/testsuite/testenv.sh
@@ -109,6 +109,16 @@ synth()
"$GHDL" --synth $GHDL_STD_FLAGS $GHDL_FLAGS $@
}
+synth_failure ()
+{
+ echo "try to synthesize $@"
+ # for arg in $@; do echo "arg: $arg"; done
+ if ! "$GHDL" --synth --expect-failure $GHDL_STD_FLAGS $GHDL_FLAGS "$@" ; then
+ echo "Failure expected"
+ return 1
+ fi
+}
+
# Synthesis of a single file and analyze the result
synth_analyze()
{